%define name dfwinreg
%define version 20240229
%define release 1

Summary: Digital Forensics Windows Registry (dfWinReg).
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
License: Apache License, Version 2.0
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Log2Timeline maintainers <log2timeline-maintainers@googlegroups.com>
Packager: Log2Timeline maintainers <log2timeline-maintainers@googlegroups.com>
Url: https://github.com/log2timeline/dfwinreg
BuildRequires: python3-devel, python3-setuptools

%description
dfWinReg, or Digital Forensics Windows Registry, provides read-only access to Windows Registry objects. The goal of dfWinReg is to provide a generic interface for accessing Windows Registry objects that resembles the Registry key hierarchy as seen on a live Windows system.

%package -n python3-%{name}
Requires: , libcreg-python3 >= 20210502, libregf-python3 >= 20201002, python3-dfdatetime >= 20160814, python3-dtfabric >= 20170524, python3-pyyaml >= 3.10
Summary: Python 3 module of Digital Forensics Windows Registry (dfWinReg).

%description -n python3-%{name}
dfWinReg, or Digital Forensics Windows Registry, provides read-only access to Windows Registry objects. The goal of dfWinReg is to provide a generic interface for accessing Windows Registry objects that resembles the Registry key hierarchy as seen on a live Windows system.

%prep
%autosetup -n %{name}-%{version}

%build
%py3_build

%install
%py3_install
rm -rf %{buildroot}/usr/lib/python*/site-packages/*.egg-info/requires.txt
rm -rf %{buildroot}/usr/share/doc/%{name}/

%clean
rm -rf %{buildroot}

%files -n python3-%{name}
%license LICENSE
%doc README
%{python3_sitelib}/dfwinreg
%{python3_sitelib}/dfwinreg*.egg-info

%changelog
* Sun Mar  3 2024 log2timeline development team <log2timeline-dev@googlegroups.com> 20240229-1
- Auto-generated
